.discounts-section {
    width: 90vw;
    margin: 5vh auto;
    font-family: Arial, sans-serif;
}

.discounts-header {
    text-align: center;
    margin-bottom: 4vh;
}

.discounts-title {
    font-size: 5vw;
    margin-bottom: 1vh;
    text-align: left;
    font-weight: 700;
}

.discounts-description {
    font-size: 1.7vw;
    max-width: 59.5vw;
    margin-top: 1.6vw;
    text-align: left;
    font-weight: 700;
    line-height: 1.1;
}

.discounts-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto;
    gap: 2vw;
}

.discount-card {
    position: relative;
    overflow: hidden;
    border-radius: 1vw;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    color: #fff;
    height: 56.5vw;
    padding: 2vw;
    background-repeat: no-repeat;
    background-size: 110%;
    background-position-y: 0%;
    background-position-x: 0;
    flex-direction: column;
}

.discount-card img {
    width: 100%;
    height: 35vw;
    object-fit: cover;
    display: block;
    border-radius: 8px;
}


.discount-card .card-content {
    position: relative;
    z-index: 2;
    max-width: 80%;
    background-repeat: no-repeat;
    background-size: 102%;
    background-position-y: 60%;
    background-position-x: 0;
}

.card-1 {
    background-color: #F5A414;
    background-image: url(../../../assets/acf-blocks/mask-1.svg);
}

.card-2 {
    background-color: #4A61C9;
    background-image: url(../../../assets/acf-blocks/mask-2.svg);
}

.card-3 {
    grid-column: span 2;
    display: flex;
    flex-direction: row-reverse;
    background-color: #B5628D;
    min-height: 30vw;
    background-image: url(../../../assets/acf-blocks/mask-3.svg);
    height: auto;
    align-items:flex-end;
}

.card-3 .card-content {
    color: #fff;
    padding: 2vw;
}

.card-3 img {
    width: 55vw;
    height: 34vw;
    object-fit: cover;
    position: relative;
}

.discount-card h3 {
    font-size: 2.9vw;
    margin-bottom: 1vh;
    margin-top: 2.5vw;
}

.discount-card p {
    font-size: 6.2vw;
    font-weight: bold;
}

@media (max-width: 900px) {
    .card-3 {
        flex-direction: column;
        min-height: auto;
    }
    .card-3 img {
        width: 100%;
        height: 20vw;
        margin-top: 1vh;
    }
}


@media (max-width: 600px) {
    .discounts-section .discounts-grid {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
    }

    .discounts-section .discount-card {
        align-items: flex-start;
    }

    .discounts-section .card-3 {
        grid-column: auto;
        flex-direction: column;
    }

    .discounts-section .card-3 img {
        width: 100%;
        height: auto;
        margin-top: 1rem;
    }

    .discount-card {
        height: auto;
    }

    .discount-card img {
        height: auto;
    }

    .discount-card h3 { font-size: 4vw;}

    .discounts-description {
        font-size: 2.7vw;
        max-width: 100%;
    }
}